extends Camera2D


# Called when the node enters the scene tree for the first time.
func _ready():
    pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _physics_process(delta):
    var viewport_size = get_viewport_rect().size # 640x320
    var window_size = DisplayServer.window_get_size() # 1920x1080
    var wv_ratio = Vector2(window_size.x, window_size.y) / viewport_size
    
    # Smooth camera position
    var target_position = global_position.lerp($"../TileMap/Player".global_position, 0.07)
    
    # Round target position in actual game window "space" to avoid jitering
    var window_position = (target_position * wv_ratio).round()
    
    # Convert rounded position back to viewport "space"
    global_position = window_position / wv_ratio;
    
    print("---")
    print("target pos" + str(target_position))
    print("window pos" + str(window_position));
    print("global pos " + str(global_position));
    print("---")

